### Function

# Vips value_set_ref_string

#### Declaration [src]

    void
    vips_value_set_ref_string (
      GValue* value,
      const char* str
    )

#### Description [src]

Copies the C string `str` into `value`.

vips_ref_string are immutable C strings that are copied between images by copying reference-counted pointers, making them much more efficient than regular `GValue` strings.

`str` should be a valid utf-8 string.

#### Parameters

`value`

  Type: `GValue`

  `GValue` to set.

  The argument will be set by the function.
  The returned data is owned by the function.

`str`

  Type: `const char*`

  C string to copy into the GValue.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.